ESB-2017.2840 - [Win][Linux][AIX] IBM Watson Explorer and IBM Watson Content Analytics: Multiple vulnerabilities 2017-11-07

Printable version
PGP/GPG verifiable version

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2017.2840
Security Bulletin: Multiple vulnerabilities affect Watson Explorer, Watson
          Content Analytics and Watson Explorer Content Analytics
                  Studio (CVE-2017-10115, CVE-2017-10116)
                              7 November 2017

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           IBM Watson Explorer
                   IBM Watson Content Analytics
                   IBM Watson Explorer Content Analytics Studio
Publisher:         IBM
Operating System:  Linux variants
                   Windows
                   AIX
Impact/Access:     Execute Arbitrary Code/Commands -- Remote with User Interaction
                   Access Confidential Data        -- Remote/Unauthenticated      
Resolution:        Patch/Upgrade
CVE Names:         CVE-2017-10116 CVE-2017-10115 

Reference:         ESB-2017.2830
                   ESB-2017.2824
                   ESB-2017.2817
                   ESB-2017.2798

Original Bulletin: 
   http://www.ibm.com/support/docview.wss?uid=swg22009912

- --------------------------BEGIN INCLUDED TEXT--------------------

Security Bulletin: Multiple vulnerabilities affect Watson Explorer, Watson
Content Analytics and Watson Explorer Content Analytics Studio (CVE-2017-10115,
CVE-2017-10116)

Security Bulletin

Document information

More support for:
Watson Explorer

Software version:
8.2.0, 9.0.0, 10.0.0, 11.0.0, 11.0.1, 11.0.2

Operating system(s):
AIX, Linux, Windows

Reference #:
2009912

Modified date:
06 November 2017

Summary

Security vulnerabilities have been identified in IBM(R) Runtime Environment Java(TM)
Technology Edition that is used by Watson Explorer, Watson Content Analytics
and Watson Explorer Content Analytics Studio.

Vulnerability Details

CVEID: CVE-2017-10115
DESCRIPTION: An unspecified vulnerability in Oracle Java SE related to the Java
SE, Java SE Embedded, JRockit JCE component could allow an unauthenticated
attacker to obtain sensitive information resulting in a high confidentiality
impact using unknown attack vectors.
CVSS Base Score: 7.5
CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/
128876 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N)

CVEID: CVE-2017-10116
DESCRIPTION: An unspecified vulnerability in Oracle Java SE related to the Java
SE, Java SE Embedded, JRockit Security component could allow an unauthenticated
attacker to take control of the system.
CVSS Base Score: 8.3
CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/
128877 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H)

Affected Products and Versions

These vulnerabilities apply to the following products and versions:

+-------------------------+------------------+--------------------------------+
|Affected Product         |Affected Versions |Applicable Vulnerabilities      |
+-------------------------+------------------+--------------------------------+
|Watson Explorer          |11.0.0.0 -        |CVE-2017-10115                  |
|Foundational Components  |11.0.0.3, 11.0.1, |CVE-2017-10116                  |
|                         |11.0.2, 11.0.2.1  |                                |
+-------------------------+------------------+--------------------------------+
|Watson Explorer          |10.0.0.0 -        |CVE-2017-10115                  |
|Foundational Components  |10.0.0.4          |CVE-2017-10116                  |
+-------------------------+------------------+--------------------------------+
|Watson Explorer          |9.0.0.0 - 9.0.0.8 |CVE-2017-10115                  |
|Foundational Components  |                  |CVE-2017-10116                  |
+-------------------------+------------------+--------------------------------+
|Watson Explorer          |8.2 - 8.2-6       |CVE-2017-10115                  |
|Foundational Components  |                  |CVE-2017-10116                  |
+-------------------------+------------------+--------------------------------+
|IBM Watson Explorer      |11.0 - 11.0.0.3,  |CVE-2017-10115                  |
|Foundational Components  |11.0.1,           |CVE-2017-10116                  |
|Annotation Administration|11.0.2, 11.0.2.1  |                                |
|Console                  |                  |                                |
+-------------------------+------------------+--------------------------------+
|IBM Watson Explorer      |10.0 - 10.0.0.4   |CVE-2017-10115                  |
|Foundational Components  |                  |CVE-2017-10116                  |
|Annotation Administration|                  |                                |
|Console                  |                  |                                |
+-------------------------+------------------+--------------------------------+
|Watson Explorer          |11.0.0.0 -        |CVE-2017-10115                  |
|Analytical Components    |11.0.0.3,         |CVE-2017-10116                  |
|                         |11.0.1,           |                                |
|                         |11.0.2, 11.0.2.1  |                                |
+-------------------------+------------------+--------------------------------+
|Watson Explorer          |10.0.00 - 10.0.0.4|CVE-2017-10115                  |
|Analytical Components    |                  |CVE-2017-10116                  |
+-------------------------+------------------+--------------------------------+
|IBM Watson Content       |3.5.0.0 - 3.5.0.4 |CVE-2017-10115                  |
|Analytics                |                  |CVE-2017-10116                  |
+-------------------------+------------------+--------------------------------+
|IBM Watson Explorer      |11.0.0.0 -        |CVE-2017-10115                  |
|Content Analytics Studio |11.0.0.3,         |CVE-2017-10116                  |
|                         |11.0.1,           |                                |
|                         |11.0.2, 11.0.2.1  |                                |
+-------------------------+------------------+--------------------------------+

Remediation/Fixes

Follow these steps to upgrade to the required version of IBM Java Runtime.

The table reflects product names at the time the specified versions were
released. To use the links to Fix Central in this table, you must first log in
to the IBM Support Fix Central site at http://www.ibm.com/support/fixcentral/.

+-----------------+------------+---------------+------------------------------------------------------------------+
|                 |Affected    |Required IBM   |                                                                  |
|Affected Product |Versions    |Java Runtime   |                 How to acquire and apply the fix                 |
+-----------------+------------+---------------+------------------------------------------------------------------+
|IBM Watson       |11.0 -      |JVM 8 SR4 FP10 |Contact IBM Support for further assistance.                       |
|Explorer         |11.0.0.3,   |or later       |                                                                  |
|Foundational     |11.0.1,     |               |                                                                  |
|Components       |11.0.2,     |               |                                                                  |
|                 |11.0.2.1    |               |                                                                  |
+-----------------+------------+---------------+------------------------------------------------------------------+
|IBM Watson       |10.0 -      |JVM 8 SR4 FP10 | 1. If you have not already installed, install V10.0 Fix Pack 4   |
|Explorer         |10.0.0.4    |or later       |    (see the Fix Pack download document). If you upgrade to       |
|Foundational     |            |               |    Version 10.0.0.4 after you update IBM Java Runtime, your      |
|Components       |            |               |    changes are lost and you must repeat the steps.               |
|                 |            |               | 2. Download the IBM Java Runtime, Version 8 package for your     |
|                 |            |               |    edition (Standard, Enterprise, or Advanced) and operating     |
|                 |            |               |    system from Fix Central: interim fix                          |
|                 |            |               |    10.0.0.4-WS-WatsonExplorer-<Edition>Foundational-<OS>-8SR4FP10|
|                 |            |               |    or later (for example,                                        |
|                 |            |               |    10.0.0.4-WS-WatsonExplorer-EEFoundational-Linux-8SR4FP10).    |
|                 |            |               | 3. To apply the fix, follow the steps in Updating IBM Java       |
|                 |            |               |    Runtime.                                                      |
+-----------------+------------+---------------+------------------------------------------------------------------+
|IBM Watson       |9.0 -       |JVM 7.1 SR4    | 1. If you have not already installed, install Version 9.0 Fix    |
|Explorer         |9.0.0.8     |FP10 or later  |    Pack 8 (see Fix Central to download Version 9.0.0.8 Standard  |
|                 |            |               |    Edition or Enterprise Edition  ). If you upgrade to Version   |
|                 |            |               |    9.0.0.8 after you update IBM Java Runtime, your changes are   |
|                 |            |               |    lost and you must repeat the steps.                           |
|                 |            |               | 2. Download the IBM Java Runtime, Version 7 package for your     |
|                 |            |               |    edition and operating system from Fix Central: Interim fix    |
|                 |            |               |    9.0.0.8-WS-WatsonExplorer-<Edition>-<OS>-7.1SR4FP10 or later  |
|                 |            |               |    (for example, 9.0.0.8-WS-WatsonExplorer-EE-Linux-7.1SR4FP10). |
|                 |            |               | 3. To apply the fix, follow the steps in Updating IBM Java       |
|                 |            |               |    Runtime.                                                      |
+-----------------+------------+---------------+------------------------------------------------------------------+
|IBM InfoSphere   |8.2 - 8.2-6 |JVM 7.1 SR4    | 1. If you have not already installed, install V8.2 Fix Pack 6    |
|Data Explorer    |            |FP10 or later  |    (see Fix Central to download V8.2-6). If you upgrade to       |
|                 |            |               |    Version 8.2-6 after you update IBM Java Runtime, your changes |
|                 |            |               |    are lost and you must repeat the steps.                       |
|                 |            |               | 2. Download the IBM Java Runtime, Version 7 package for your     |
|                 |            |               |    operating system from Fix Central: Interim fix                |
|                 |            |               |    8.2-6-WS-DataExplorer-<OS>-7.1SR4FP10 or later (for example,  |
|                 |            |               |    8.2-6-WS-DataExplorer-Windows-7.1SR4FP10).                    |
|                 |            |               | 3. To apply the fix, follow the steps in Updating IBM Java       |
|                 |            |               |    Runtime.                                                      |
+-----------------+------------+---------------+------------------------------------------------------------------+
|IBM Watson       |11.0 -      |JVM 8 SR4 FP10 |Contact IBM Support for further assistance.                       |
|Explorer         |11.0.0.3,   |or later       |                                                                  |
|Foundational     |11.0.1,     |               |                                                                  |
|Components       |11.0.2,     |               |                                                                  |
|Annotation       |11.0.2.1    |               |                                                                  |
|Administration   |            |               |                                                                  |
|Console          |            |               |                                                                  |
+-----------------+------------+---------------+------------------------------------------------------------------+
|IBM Watson       |10.0 -      |JVM 7 SR10 FP10| 1. If you have not already installed, install V10.0 Fix Pack 4   |
|Explorer         |10.0.0.4    |or later       |    (see the Fix Pack download document). If you upgrade to       |
|Foundational     |            |               |    Version 10.0.0.4 after you update IBM Java Runtime, your      |
|Components       |            |               |    changes are lost and you must repeat the steps.               |
|Annotation       |            |               | 2. Download the 32-bit and 64-bit packages of IBM Java Runtime,  |
|Administration   |            |               |    Version 7 for IBM Watson Explorer Advanced Edition and your   |
|Console          |            |               |    operating system from Fix Central: interim fix                |
|                 |            |               |    10.0.0.4-WS-WatsonExplorer-AEFoundationallAAC-<OS>[32]        |
|                 |            |               |    -7SR10FP10 or later (for example,                             |
|                 |            |               |    10.0.0.4-WS-WatsonExplorer-AEFoundationalAAC-Linux32-7SR10FP10|
|                 |            |               |    and                                                           |
|                 |            |               |    10.0.0.4-WS-WatsonExplorer-AEFoundationalAAC-Linux-7SR10FP10).|
|                 |            |               | 3. To apply the fix, follow the steps in Updating IBM Java       |
|                 |            |               |    Runtime.                                                      |
+-----------------+------------+---------------+------------------------------------------------------------------+
|IBM Watson       |11.0 -      |JVM 8 SR4 FP10 |Contact IBM Support for further assistance.                       |
|Explorer         |11.0.0.3,   |or later       |                                                                  |
|Analytical       |11.0.1,     |               |                                                                  |
|Components       |11.0.2,     |               |                                                                  |
|                 |11.0.2.1    |               |                                                                  |
+-----------------+------------+---------------+------------------------------------------------------------------+
|IBM Watson       |10.0 -      |JVM 7 SR10 FP10| 1. If you have not already installed, install V10.0 Fix Pack 2   |
|Explorer         |10.0.0.2    |or later       |    (see the Fix Pack download document). If you upgrade to       |
|Analytical       |            |               |    Version 10.0.0.2 after you update IBM Java Runtime, your      |
|Components       |            |               |    changes are lost and you must repeat the steps.               |
|                 |            |               | 2. Download the 32-bit (or 31-bit, if you use Linux on System z) |
|                 |            |               |    and 64-bit packages of IBM Java Runtime, Version 7 package for|
|                 |            |               |    your edition (Enterprise or Advanced) and operating system    |
|                 |            |               |    from Fix Central: interim fix 10.0.0.2-WS-WatsonExplorer-     |
|                 |            |               |    <Edition>Analytical-<OS>[32|31]-7SR10FP10 or later. For       |
|                 |            |               |    example,                                                      |
|                 |            |               |    10.0.0.2-WS-WatsonExplorer-AEAnalytical-Linux-7SR10FP10 and   |
|                 |            |               |    10.0.0.2-WS-WatsonExplorer-AEAnalytical-Linux32-7SR10FP10.    |
|                 |            |               | 3. To apply the fix, follow the steps in Updating IBM Java       |
|                 |            |               |    Runtime.                                                      |
|                 |            |               | 4. Rename $ES_INSTALL_ROOT/lib/activation.jar                    |
|                 |            |               |    to activation.jar.orig if the file exists.                    |
+-----------------+------------+---------------+------------------------------------------------------------------+
|IBM Watson       |3.5 -       |JVM 7 SR10 FP10| 1. If you have not already installed, install V3.5 Fix Pack 4    |
|Content Analytics|3.5.0.4     |or later       |    (see the Fix Pack download document). If you upgrade to       |
|                 |            |               |    Version 3.5.0.4 after you update IBM Java Runtime, your       |
|                 |            |               |    changes are lost and you must repeat the steps.               |
|                 |            |               | 2. Download the 32-bit (or 31-bit, if you use Linux on System z) |
|                 |            |               |    and 64-bit packages of IBM Java Runtime, Version 7 package for|
|                 |            |               |    your operating system from Fix Central: interim fix           |
|                 |            |               |    3.5.0.4-WT-WCA-<OS>[32|31]-7SR10FP10 or later. For example,   |
|                 |            |               |    3.5.0.4-WT-WCA-Linux-7SR10FP10 and                            |
|                 |            |               |    3.5.0.4-WT-WCA-Linux32-7SR10FP10.                             |
|                 |            |               | 3. To apply the fix, follow the steps in Updating IBM Java       |
|                 |            |               |    Runtime.                                                      |
|                 |            |               | 4. Rename $ES_INSTALL_ROOT/lib/activation.jar                    |
|                 |            |               |    to activation.jar.orig if the file exists.                    |
+-----------------+------------+---------------+------------------------------------------------------------------+
|IBM Watson       |11.0 -      |JVM 8 SR4 FP10 |Upgrade to Version 11.0.2 at least, and contact IBM Support for   |
|Explorer Content |11.0.0.3,   |or later       |further assistance.                                               |
|Analytics Studio |11.0.1      |               |                                                                  |
|                 |            |               |For information about this version, and links to the software and |
|                 |            |               |release notes, see the download document. For information about   |
|                 |            |               |upgrading, see the upgrade procedures.                            |
+-----------------+------------+---------------+------------------------------------------------------------------+
|IBM Watson       |11.0.2,     |JVM 8 SR4 FP10 |Contact IBM Support for further assistance.                       |
|Explorer Content |11.0.2.1    |or later       |                                                                  |
|Analytics Studio |            |               |                                                                  |
+-----------------+------------+---------------+------------------------------------------------------------------+

Get Notified about Future Security Bulletins

Subscribe to My Notifications to be notified of important product support
alerts like this.

References

Complete CVSS v3 Guide
On-line Calculator v3


Related information

IBM Secure Engineering Web Portal
IBM Product Security Incident Response Blog


*The CVSS Environment Score is customer environment specific and will
ultimately impact the Overall CVSS Score. Customers can evaluate the impact of
this vulnerability in their environments by accessing the links in the
Reference section of this Security Bulletin.

Disclaimer

According to the Forum of Incident Response and Security Teams (FIRST), the
Common Vulnerability Scoring System (CVSS) is an "industry open standard
designed to convey vulnerability severity and help to determine urgency and
priority of response." IBM PROVIDES THE CVSS SCORES "AS IS" WITHOUT WARRANTY OF
ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY
ACTUAL OR POTENTIAL SECURITY VULNERABILITY.

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBWgFGLox+lLeg9Ub1AQjRhRAAqyPaw+keov+y40t7qEzyT33SZM3LToXC
IrMVYahaPtDHhHPHc3J4m7hFIg2dIqnmzQz/2youYIBrB+cn13JflzcfKWiFW6D+
pgEkcPwfRZLMUCeIFuPJAn1MytbOj9OiZ2e7kbP5XBS3GUfqXL1oyBAaVavpraH9
r4SCMddrgy5eriuvvBzcJhAtIWhEpa0O0VCyBVnID4XWIr35PeRyP2iBvsIS2b+A
fSQu6ZTuKst55uXYtsa5dfdJ51NugskqqE66UoSncLapuWzaTw6eoyXIiZY0V4La
RFTlvn7yAv9y8yzEW5KAYmqTeadjdQODfwtS8kggZZqb1L//VSWsF9qBWbIUpQ/P
Ss508fcN4lx+XE4aR7iPGqP9SVcKPsIkz9NNgFwOezMnbve+Rxgq9s9aDRISa2pK
g+1mTHgW0NezlSLK2HKmOeOzrHAbfOf1RzCd4QGlVnOzfeUM2ceUpJBsrI12KRHn
fWgHgHELxs6nm8SA9tMe4UryibhYZxjY/RowKSxQ0NGkeqgxlx8qdi+Fc66Uz6uK
BbV7LJEs0h3X2nwSDsGBsY62pFyUfRpaTrDBEBy0aYlwm0uJ4u6gq43btvVjmIKf
VTf7mr/hjIautbdOARti93nknre1dRhKxVDT70BiSEbCG51QHx7W7Pr6kLMS6HD/
eYe6higKRHU=
=vFE2
-----END PGP SIGNATURE-----

« Back to bulletins